> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Federated Integration Types

> Retrieves a list of the Federated integration types matching integrations that exist in the Domo instance.



## OpenAPI

````yaml /openapi/product/federatedv1.yaml get /api/query/migration/federated/v1/to/v2/types
openapi: 3.0.0
info:
  title: Federated V1 to V2 Migration APIs
  description: >
    These APIs leverage a Domo access token that you can generate in the admin
    panel from within your Domo instance. Instructions on generating your access
    token can be found here:
    https://domo-support.domo.com/s/article/360042934494?language=en_US


    ## Prerequisites


    ### Federated Architecture: Standard vs. Agent


    Please go through the Federated V2 setup instructions found at
    https://domo-support.domo.com/s/article/360042932974?language=en_US and
    decide whether you will be utilizing a Standard Federated Architecture, or a
    Federated Agent Architecture.


    ### Create Federated V2 Accounts


    Migrating Federated V1 datasources to V2 requires that Federated V2 accounts
    of the matching integration type (MySQL, Snowflake, Postgres, etc.) be
    created in the Domo platform prior to attempting migration. To create these
    Federated V2 accounts, first please contact your Domo account representative
    to ensure that Federated V2 has been enabled in your Domo instance.


    Once Federated V2 has been enabled, create the necessary Federated V2
    account(s) by repeating the following steps as many times as needed:


    1. Navigate to the Domo Datacenter page, then the DataSets view on that
    page.

    2. Click on the Federated button to open the Federated / Cloud Amplifier
    start screen.

    3. Select the Federated integration type matching the V1 datasource(s) to
    migrate. If you do not see a matching integration type, click on the 'See
    More' option.

    4. In the opened 'Connect a Federated DataSet' dialog, click the 'Add New
    Account' button.

    5. Complete the displayed form and click the now enabled 'Connect' button to
    finish creating the account.
  version: 1.0.0
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: your-instance.domo.com
        description: >-
          The fully qualified domain of the Domo instance housing the Federated
          integrations.
security:
  - DeveloperToken: []
paths:
  /api/query/migration/federated/v1/to/v2/types:
    get:
      tags:
        - Federated V1 to V2 Migration
      summary: List Federated Integration Types
      description: >-
        Retrieves a list of the Federated integration types matching
        integrations that exist in the Domo instance.
      operationId: list-federated-integration-types
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                  description: Federated integration type name
              example:
                - mysql-federated
                - snowflake-federated
      x-codeSamples:
        - lang: cURL
          source: >
            curl
            'https://{domo-domain}/api/query/migration/federated/v1/to/v2/types'
            \
              -H 'accept: application/json,*/*;q=0.8' \
              -H 'accept-language: en-US,en;q=0.9' \
              -H 'cache-control: max-age=0' \
              -H 'X-DOMO-Developer-Token: {developer-token}'
components:
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: >-
        Domo access token that you can generate in the admin panel from within
        your Domo instance.

````